## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by go2rpm 1.6.0
%bcond_without check

# https://github.com/distribution/distribution
%global goipath         github.com/distribution/distribution/v3
%global forgeurl        https://github.com/distribution/distribution
Version:                2.8.0~beta.1
%global commit          b60926597a1bd5d4841d0cb010ddd0c357f53803

%gometa

%global goaltipaths     github.com/docker/distribution

%global common_description %{expand:
The toolkit to pack, ship, store, and deliver container content.}

%global golicenses      LICENSE
%global godocs          docs ADOPTERS.md BUILDING.md CODE-OF-CONDUCT.md\\\
                        CONTRIBUTING.md GOVERNANCE.md README.md ROADMAP.md

Name:           %{goname}
Release:        %autorelease
Summary:        The toolkit to pack, ship, store, and deliver container content

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/aws/aws-sdk-go/aws)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/awserr)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/corehandlers)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/credentials)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/endpoints)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/request)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/session)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/cloudfront/sign)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/s3)
BuildRequires:  golang(github.com/Azure/azure-sdk-for-go/storage)
BuildRequires:  golang(github.com/bshuster-repo/logrus-logstash-hook)
BuildRequires:  golang(github.com/bugsnag/bugsnag-go)
BuildRequires:  golang(github.com/denverdino/aliyungo/cdn/auth)
BuildRequires:  golang(github.com/docker/go-events)
BuildRequires:  golang(github.com/docker/go-metrics)
BuildRequires:  golang(github.com/docker/libtrust)
BuildRequires:  golang(github.com/gomodule/redigo/redis)
BuildRequires:  golang(github.com/gorilla/handlers)
BuildRequires:  golang(github.com/gorilla/mux)
BuildRequires:  golang(github.com/mitchellh/mapstructure)
BuildRequires:  golang(github.com/ncw/swift)
BuildRequires:  golang(github.com/opencontainers/go-digest)
BuildRequires:  golang(github.com/opencontainers/image-spec/specs-go/v1)
BuildRequires:  golang(github.com/Shopify/logrus-bugsnag)
BuildRequires:  golang(github.com/sirupsen/logrus)
BuildRequires:  golang(github.com/spf13/cobra)
BuildRequires:  golang(github.com/yvasiyarov/gorelic)
BuildRequires:  golang(golang.org/x/crypto/acme)
BuildRequires:  golang(golang.org/x/crypto/acme/autocert)
BuildRequires:  golang(golang.org/x/crypto/bcrypt)
BuildRequires:  golang(gopkg.in/check.v1)
BuildRequires:  golang(gopkg.in/yaml.v2)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/ncw/swift/swifttest)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck -d health/checks \
         -d registry/storage \
         -t registry/storage/driver
%endif

%files
%license LICENSE
%doc docs ADOPTERS.md BUILDING.md CODE-OF-CONDUCT.md CONTRIBUTING.md
%doc GOVERNANCE.md README.md ROADMAP.md
%{_bindir}/*

%gopkgfiles

%changelog
* Sat Jan 29 2022 Robert-André Mauchin <zebob.m@gmail.com> 2.8.0~beta.1-1
- Uncommitted changes
